#include "InitVolumeModule.h"

namespace UkuiAudioFramwork
{
InitVolumeModule& InitVolumeModule::getInstance()
{
    static InitVolumeModule instance;
    return instance;
}

bool InitVolumeModule::isNeedInitVolume(const std::string& portName, const std::string& cardName)
{
    return !m_json.isContain(AudioVolumeInfo{portName, cardName, 0});
}

void InitVolumeModule::insert(const std::string& portName, const std::string& cardName, uint32_t vol)
{
    m_json.insert(AudioVolumeInfo{portName, cardName, vol});
}
}
